package com.bcxin.tenant.open.document.domains.documents;

import com.redis.om.spring.metamodel.MetamodelField;
import com.redis.om.spring.metamodel.SearchFieldAccessor;
import com.redis.om.spring.metamodel.indexed.BooleanField;
import com.redis.om.spring.metamodel.indexed.GeoField;
import com.redis.om.spring.metamodel.indexed.TagField;
import com.redis.om.spring.metamodel.indexed.TextTagField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedBooleanField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedNumericField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedTagField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedTextField;
import java.lang.Boolean;
import java.lang.Integer;
import java.lang.NoSuchFieldException;
import java.lang.SecurityException;
import java.lang.String;
import java.lang.reflect.Field;
import java.util.Date;
import java.util.Set;
import org.springframework.data.geo.Point;

public final class RdEmployeeDocument$ {
  public static Field securityStationName;

  public static Field superviseDepartId;

  public static Field thirdParty;

  public static Field id;

  public static Field deviceNumber;

  public static Field securityStationId;

  public static Field insure;

  public static Field industry;

  public static Field headPhoto;

  public static Field responsibleOfStationIds;

  public static Field lonLat;

  public static Field companyName;

  public static Field dispatchable;

  public static Field superviseRegionCode;

  public static Field militaryStatus;

  public static Field countOfStation;

  public static Field tenantImUserId;

  public static Field contact;

  public static Field tenantEmployeeId;

  public static Field securityCertificateNo;

  public static Field cLevel;

  public static Field tenantUserId;

  public static Field scopePermissions;

  public static Field hiredDate;

  public static Field followedDeviceNos;

  public static Field stationTypes;

  public static Field idCardNo;

  public static Field proprietorCompanyId;

  public static Field cId;

  public static Field yardmanType;

  public static Field domainAdmin;

  public static Field dutyStatus;

  public static Field securityStationRailIds;

  public static Field resourceTypes;

  public static Field organizationId;

  public static Field name;

  public static Field superviseDepartName;

  public static Field institutional;

  public static Field examSiteId;

  public static Field proprietorCompanyName;

  public static TextTagField<RdEmployeeDocument, String> SECURITY_STATION_NAME;

  public static TextTagField<RdEmployeeDocument, String> SUPERVISE_DEPART_ID;

  public static NonIndexedTextField<RdEmployeeDocument, String> THIRD_PARTY;

  public static TextTagField<RdEmployeeDocument, String> ID;

  public static NonIndexedTextField<RdEmployeeDocument, String> DEVICE_NUMBER;

  public static TextTagField<RdEmployeeDocument, String> SECURITY_STATION_ID;

  public static NonIndexedBooleanField<RdEmployeeDocument, Boolean> INSURE;

  public static NonIndexedTextField<RdEmployeeDocument, String> INDUSTRY;

  public static NonIndexedTextField<RdEmployeeDocument, String> HEAD_PHOTO;

  public static NonIndexedTagField<RdEmployeeDocument, Set<String>> RESPONSIBLE_OF_STATION_IDS;

  public static GeoField<RdEmployeeDocument, Point> LON_LAT;

  public static TextTagField<RdEmployeeDocument, String> COMPANY_NAME;

  public static BooleanField<RdEmployeeDocument, Boolean> DISPATCHABLE;

  public static NonIndexedTextField<RdEmployeeDocument, String> SUPERVISE_REGION_CODE;

  public static NonIndexedTextField<RdEmployeeDocument, String> MILITARY_STATUS;

  public static NonIndexedNumericField<RdEmployeeDocument, Integer> COUNT_OF_STATION;

  public static NonIndexedTextField<RdEmployeeDocument, String> TENANT_IM_USER_ID;

  public static NonIndexedTextField<RdEmployeeDocument, String> CONTACT;

  public static NonIndexedTextField<RdEmployeeDocument, String> TENANT_EMPLOYEE_ID;

  public static NonIndexedTextField<RdEmployeeDocument, String> SECURITY_CERTIFICATE_NO;

  public static NonIndexedNumericField<RdEmployeeDocument, Integer> C_LEVEL;

  public static TextTagField<RdEmployeeDocument, String> TENANT_USER_ID;

  public static TagField<RdEmployeeDocument, Set<String>> SCOPE_PERMISSIONS;

  public static NonIndexedNumericField<RdEmployeeDocument, Date> HIRED_DATE;

  public static TagField<RdEmployeeDocument, Set<String>> FOLLOWED_DEVICE_NOS;

  public static TagField<RdEmployeeDocument, Set<String>> STATION_TYPES;

  public static TextTagField<RdEmployeeDocument, String> ID_CARD_NO;

  public static NonIndexedTextField<RdEmployeeDocument, String> PROPRIETOR_COMPANY_ID;

  public static NonIndexedTextField<RdEmployeeDocument, String> C_ID;

  public static NonIndexedNumericField<RdEmployeeDocument, Integer> YARDMAN_TYPE;

  public static NonIndexedBooleanField<RdEmployeeDocument, Boolean> DOMAIN_ADMIN;

  public static TextTagField<RdEmployeeDocument, String> DUTY_STATUS;

  public static NonIndexedTagField<RdEmployeeDocument, Set<String>> SECURITY_STATION_RAIL_IDS;

  public static TagField<RdEmployeeDocument, Set<String>> RESOURCE_TYPES;

  public static TextTagField<RdEmployeeDocument, String> ORGANIZATION_ID;

  public static TextTagField<RdEmployeeDocument, String> NAME;

  public static NonIndexedTextField<RdEmployeeDocument, String> SUPERVISE_DEPART_NAME;

  public static NonIndexedTextField<RdEmployeeDocument, String> INSTITUTIONAL;

  public static NonIndexedTagField<RdEmployeeDocument, Set<String>> EXAM_SITE_ID;

  public static NonIndexedTextField<RdEmployeeDocument, String> PROPRIETOR_COMPANY_NAME;

  public static MetamodelField<RdEmployeeDocument, String> _KEY;

  static {
    try {
      securityStationName = RdEmployeeDocument.class.getDeclaredField("securityStationName");
      superviseDepartId = RdEmployeeDocument.class.getDeclaredField("superviseDepartId");
      thirdParty = RdEmployeeDocument.class.getDeclaredField("thirdParty");
      id = RdEmployeeDocument.class.getDeclaredField("id");
      deviceNumber = RdEmployeeDocument.class.getDeclaredField("deviceNumber");
      securityStationId = RdEmployeeDocument.class.getDeclaredField("securityStationId");
      insure = RdEmployeeDocument.class.getDeclaredField("insure");
      industry = RdEmployeeDocument.class.getDeclaredField("industry");
      headPhoto = RdEmployeeDocument.class.getDeclaredField("headPhoto");
      responsibleOfStationIds = RdEmployeeDocument.class.getDeclaredField("responsibleOfStationIds");
      lonLat = RdEmployeeDocument.class.getDeclaredField("lonLat");
      companyName = RdEmployeeDocument.class.getDeclaredField("companyName");
      dispatchable = RdEmployeeDocument.class.getDeclaredField("dispatchable");
      superviseRegionCode = RdEmployeeDocument.class.getDeclaredField("superviseRegionCode");
      militaryStatus = RdEmployeeDocument.class.getDeclaredField("militaryStatus");
      countOfStation = RdEmployeeDocument.class.getDeclaredField("countOfStation");
      tenantImUserId = RdEmployeeDocument.class.getDeclaredField("tenantImUserId");
      contact = RdEmployeeDocument.class.getDeclaredField("contact");
      tenantEmployeeId = RdEmployeeDocument.class.getDeclaredField("tenantEmployeeId");
      securityCertificateNo = RdEmployeeDocument.class.getDeclaredField("securityCertificateNo");
      cLevel = RdEmployeeDocument.class.getDeclaredField("cLevel");
      tenantUserId = RdEmployeeDocument.class.getDeclaredField("tenantUserId");
      scopePermissions = RdEmployeeDocument.class.getDeclaredField("scopePermissions");
      hiredDate = RdEmployeeDocument.class.getDeclaredField("hiredDate");
      followedDeviceNos = RdEmployeeDocument.class.getDeclaredField("followedDeviceNos");
      stationTypes = RdEmployeeDocument.class.getDeclaredField("stationTypes");
      idCardNo = RdEmployeeDocument.class.getDeclaredField("idCardNo");
      proprietorCompanyId = RdEmployeeDocument.class.getDeclaredField("proprietorCompanyId");
      cId = RdEmployeeDocument.class.getDeclaredField("cId");
      yardmanType = RdEmployeeDocument.class.getDeclaredField("yardmanType");
      domainAdmin = RdEmployeeDocument.class.getDeclaredField("domainAdmin");
      dutyStatus = RdEmployeeDocument.class.getDeclaredField("dutyStatus");
      securityStationRailIds = RdEmployeeDocument.class.getDeclaredField("securityStationRailIds");
      resourceTypes = RdEmployeeDocument.class.getDeclaredField("resourceTypes");
      organizationId = RdEmployeeDocument.class.getDeclaredField("organizationId");
      name = RdEmployeeDocument.class.getDeclaredField("name");
      superviseDepartName = RdEmployeeDocument.class.getDeclaredField("superviseDepartName");
      institutional = RdEmployeeDocument.class.getDeclaredField("institutional");
      examSiteId = RdEmployeeDocument.class.getDeclaredField("examSiteId");
      proprietorCompanyName = RdEmployeeDocument.class.getDeclaredField("proprietorCompanyName");
      SECURITY_STATION_NAME = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("securityStationName", securityStationName),true);
      SUPERVISE_DEPART_ID = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("superviseDepartId", superviseDepartId),true);
      THIRD_PARTY = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("thirdParty", thirdParty),false);
      ID = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("id", id),true);
      DEVICE_NUMBER = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("deviceNumber", deviceNumber),false);
      SECURITY_STATION_ID = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("securityStationId", securityStationId),true);
      INSURE = new NonIndexedBooleanField<RdEmployeeDocument, Boolean>(new SearchFieldAccessor("insure", insure),false);
      INDUSTRY = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("industry", industry),false);
      HEAD_PHOTO = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("headPhoto", headPhoto),false);
      RESPONSIBLE_OF_STATION_IDS = new NonIndexedTagField<RdEmployeeDocument, Set<String>>(new SearchFieldAccessor("responsibleOfStationIds", responsibleOfStationIds),false);
      LON_LAT = new GeoField<RdEmployeeDocument, Point>(new SearchFieldAccessor("lonLat", lonLat),true);
      COMPANY_NAME = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("companyName", companyName),true);
      DISPATCHABLE = new BooleanField<RdEmployeeDocument, Boolean>(new SearchFieldAccessor("dispatchable", dispatchable),true);
      SUPERVISE_REGION_CODE = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("superviseRegionCode", superviseRegionCode),false);
      MILITARY_STATUS = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("militaryStatus", militaryStatus),false);
      COUNT_OF_STATION = new NonIndexedNumericField<RdEmployeeDocument, Integer>(new SearchFieldAccessor("countOfStation", countOfStation),false);
      TENANT_IM_USER_ID = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("tenantImUserId", tenantImUserId),false);
      CONTACT = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("contact", contact),false);
      TENANT_EMPLOYEE_ID = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("tenantEmployeeId", tenantEmployeeId),false);
      SECURITY_CERTIFICATE_NO = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("securityCertificateNo", securityCertificateNo),false);
      C_LEVEL = new NonIndexedNumericField<RdEmployeeDocument, Integer>(new SearchFieldAccessor("cLevel", cLevel),false);
      TENANT_USER_ID = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("tenantUserId", tenantUserId),true);
      SCOPE_PERMISSIONS = new TagField<RdEmployeeDocument, Set<String>>(new SearchFieldAccessor("scopePermissions", scopePermissions),true);
      HIRED_DATE = new NonIndexedNumericField<RdEmployeeDocument, Date>(new SearchFieldAccessor("hiredDate", hiredDate),false);
      FOLLOWED_DEVICE_NOS = new TagField<RdEmployeeDocument, Set<String>>(new SearchFieldAccessor("followedDeviceNos", followedDeviceNos),true);
      STATION_TYPES = new TagField<RdEmployeeDocument, Set<String>>(new SearchFieldAccessor("stationTypes", stationTypes),true);
      ID_CARD_NO = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("idCardNo", idCardNo),true);
      PROPRIETOR_COMPANY_ID = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("proprietorCompanyId", proprietorCompanyId),false);
      C_ID = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("cId", cId),false);
      YARDMAN_TYPE = new NonIndexedNumericField<RdEmployeeDocument, Integer>(new SearchFieldAccessor("yardmanType", yardmanType),false);
      DOMAIN_ADMIN = new NonIndexedBooleanField<RdEmployeeDocument, Boolean>(new SearchFieldAccessor("domainAdmin", domainAdmin),false);
      DUTY_STATUS = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("dutyStatus", dutyStatus),true);
      SECURITY_STATION_RAIL_IDS = new NonIndexedTagField<RdEmployeeDocument, Set<String>>(new SearchFieldAccessor("securityStationRailIds", securityStationRailIds),false);
      RESOURCE_TYPES = new TagField<RdEmployeeDocument, Set<String>>(new SearchFieldAccessor("resourceTypes", resourceTypes),true);
      ORGANIZATION_ID = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("organizationId", organizationId),true);
      NAME = new TextTagField<RdEmployeeDocument, String>(new SearchFieldAccessor("name", name),true);
      SUPERVISE_DEPART_NAME = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("superviseDepartName", superviseDepartName),false);
      INSTITUTIONAL = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("institutional", institutional),false);
      EXAM_SITE_ID = new NonIndexedTagField<RdEmployeeDocument, Set<String>>(new SearchFieldAccessor("examSiteId", examSiteId),false);
      PROPRIETOR_COMPANY_NAME = new NonIndexedTextField<RdEmployeeDocument, String>(new SearchFieldAccessor("proprietorCompanyName", proprietorCompanyName),false);
      _KEY = new MetamodelField<RdEmployeeDocument, String>("__key", String.class, true);
    } catch(NoSuchFieldException | SecurityException e) {
      System.err.println(e.getMessage());
    }
  }
}
