package com.bcxin.tenant.open.document.domains.documents;

import com.redis.om.spring.metamodel.MetamodelField;
import com.redis.om.spring.metamodel.SearchFieldAccessor;
import com.redis.om.spring.metamodel.indexed.NumericField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedBooleanField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedNumericField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedTextField;
import java.lang.Boolean;
import java.lang.Integer;
import java.lang.Long;
import java.lang.NoSuchFieldException;
import java.lang.SecurityException;
import java.lang.String;
import java.lang.reflect.Field;

public final class RoomDocument$ {
  public static Field employeeId;

  public static Field id;

  public static Field activated;

  public static Field organizationId;

  public static Field yardmanType;

  public static Field referenceNumber;

  public static NonIndexedTextField<RoomDocument, String> EMPLOYEE_ID;

  public static NumericField<RoomDocument, Long> ID;

  public static NonIndexedBooleanField<RoomDocument, Boolean> ACTIVATED;

  public static NonIndexedTextField<RoomDocument, String> ORGANIZATION_ID;

  public static NonIndexedNumericField<RoomDocument, Integer> YARDMAN_TYPE;

  public static NonIndexedTextField<RoomDocument, String> REFERENCE_NUMBER;

  public static MetamodelField<RoomDocument, String> _KEY;

  static {
    try {
      employeeId = RoomDocument.class.getDeclaredField("employeeId");
      id = RoomDocument.class.getDeclaredField("id");
      activated = RoomDocument.class.getDeclaredField("activated");
      organizationId = RoomDocument.class.getDeclaredField("organizationId");
      yardmanType = RoomDocument.class.getDeclaredField("yardmanType");
      referenceNumber = RoomDocument.class.getDeclaredField("referenceNumber");
      EMPLOYEE_ID = new NonIndexedTextField<RoomDocument, String>(new SearchFieldAccessor("employeeId", employeeId),false);
      ID = new NumericField<RoomDocument, Long>(new SearchFieldAccessor("id", id),true);
      ACTIVATED = new NonIndexedBooleanField<RoomDocument, Boolean>(new SearchFieldAccessor("activated", activated),false);
      ORGANIZATION_ID = new NonIndexedTextField<RoomDocument, String>(new SearchFieldAccessor("organizationId", organizationId),false);
      YARDMAN_TYPE = new NonIndexedNumericField<RoomDocument, Integer>(new SearchFieldAccessor("yardmanType", yardmanType),false);
      REFERENCE_NUMBER = new NonIndexedTextField<RoomDocument, String>(new SearchFieldAccessor("referenceNumber", referenceNumber),false);
      _KEY = new MetamodelField<RoomDocument, String>("__key", String.class, true);
    } catch(NoSuchFieldException | SecurityException e) {
      System.err.println(e.getMessage());
    }
  }
}
