package com.bcxin.tenant.open.document.domains.documents;

import com.redis.om.spring.metamodel.MetamodelField;
import com.redis.om.spring.metamodel.SearchFieldAccessor;
import com.redis.om.spring.metamodel.indexed.BooleanField;
import com.redis.om.spring.metamodel.indexed.GeoField;
import com.redis.om.spring.metamodel.indexed.NumericField;
import com.redis.om.spring.metamodel.indexed.TagField;
import com.redis.om.spring.metamodel.indexed.TextField;
import com.redis.om.spring.metamodel.indexed.TextTagField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedNumericField;
import com.redis.om.spring.metamodel.nonindexed.NonIndexedTextField;
import java.lang.Boolean;
import java.lang.Double;
import java.lang.Integer;
import java.lang.NoSuchFieldException;
import java.lang.SecurityException;
import java.lang.String;
import java.lang.reflect.Field;
import java.util.Set;
import org.springframework.data.geo.Point;

public final class RdSecurityStationDocument$ {
  public static Field principalName;

  public static Field scopePermissions;

  public static Field proprietorCompanyId;

  public static Field address;

  public static Field performRange;

  public static Field principalContact;

  public static Field lonLat;

  public static Field resourceTypes;

  public static Field institutional;

  public static Field companyName;

  public static Field organizationId;

  public static Field countOfSecurityMan;

  public static Field id;

  public static Field isActivated;

  public static Field name;

  public static Field countOfCommunityUser;

  public static Field superviseDepartId;

  public static Field followedDeviceNos;

  public static Field superviseDepartName;

  public static Field projectName;

  public static Field stationTypes;

  public static Field keyword;

  public static Field projectId;

  public static Field siteState;

  public static Field serviceScope;

  public static Field principalId;

  public static Field proprietorCompanyName;

  public static Field industry;

  public static NonIndexedTextField<RdSecurityStationDocument, String> PRINCIPAL_NAME;

  public static TagField<RdSecurityStationDocument, Set<String>> SCOPE_PERMISSIONS;

  public static NonIndexedTextField<RdSecurityStationDocument, String> PROPRIETOR_COMPANY_ID;

  public static NonIndexedTextField<RdSecurityStationDocument, String> ADDRESS;

  public static NonIndexedNumericField<RdSecurityStationDocument, Double> PERFORM_RANGE;

  public static NonIndexedTextField<RdSecurityStationDocument, String> PRINCIPAL_CONTACT;

  public static GeoField<RdSecurityStationDocument, Point> LON_LAT;

  public static TagField<RdSecurityStationDocument, Set<String>> RESOURCE_TYPES;

  public static NonIndexedTextField<RdSecurityStationDocument, String> INSTITUTIONAL;

  public static TextTagField<RdSecurityStationDocument, String> COMPANY_NAME;

  public static TextTagField<RdSecurityStationDocument, String> ORGANIZATION_ID;

  public static NumericField<RdSecurityStationDocument, Integer> COUNT_OF_SECURITY_MAN;

  public static TextTagField<RdSecurityStationDocument, String> ID;

  public static BooleanField<RdSecurityStationDocument, Boolean> IS_ACTIVATED;

  public static TextTagField<RdSecurityStationDocument, String> NAME;

  public static NonIndexedNumericField<RdSecurityStationDocument, Integer> COUNT_OF_COMMUNITY_USER;

  public static TextTagField<RdSecurityStationDocument, String> SUPERVISE_DEPART_ID;

  public static TagField<RdSecurityStationDocument, Set<String>> FOLLOWED_DEVICE_NOS;

  public static NonIndexedTextField<RdSecurityStationDocument, String> SUPERVISE_DEPART_NAME;

  public static NonIndexedTextField<RdSecurityStationDocument, String> PROJECT_NAME;

  public static TagField<RdSecurityStationDocument, Set<String>> STATION_TYPES;

  public static TextField<RdSecurityStationDocument, String> KEYWORD;

  public static NonIndexedTextField<RdSecurityStationDocument, String> PROJECT_ID;

  public static NonIndexedTextField<RdSecurityStationDocument, String> SITE_STATE;

  public static NonIndexedTextField<RdSecurityStationDocument, String> SERVICE_SCOPE;

  public static NonIndexedTextField<RdSecurityStationDocument, String> PRINCIPAL_ID;

  public static NonIndexedTextField<RdSecurityStationDocument, String> PROPRIETOR_COMPANY_NAME;

  public static NonIndexedTextField<RdSecurityStationDocument, String> INDUSTRY;

  public static MetamodelField<RdSecurityStationDocument, String> _KEY;

  static {
    try {
      principalName = RdSecurityStationDocument.class.getDeclaredField("principalName");
      scopePermissions = RdSecurityStationDocument.class.getDeclaredField("scopePermissions");
      proprietorCompanyId = RdSecurityStationDocument.class.getDeclaredField("proprietorCompanyId");
      address = RdSecurityStationDocument.class.getDeclaredField("address");
      performRange = RdSecurityStationDocument.class.getDeclaredField("performRange");
      principalContact = RdSecurityStationDocument.class.getDeclaredField("principalContact");
      lonLat = RdSecurityStationDocument.class.getDeclaredField("lonLat");
      resourceTypes = RdSecurityStationDocument.class.getDeclaredField("resourceTypes");
      institutional = RdSecurityStationDocument.class.getDeclaredField("institutional");
      companyName = RdSecurityStationDocument.class.getDeclaredField("companyName");
      organizationId = RdSecurityStationDocument.class.getDeclaredField("organizationId");
      countOfSecurityMan = RdSecurityStationDocument.class.getDeclaredField("countOfSecurityMan");
      id = RdSecurityStationDocument.class.getDeclaredField("id");
      isActivated = RdSecurityStationDocument.class.getDeclaredField("isActivated");
      name = RdSecurityStationDocument.class.getDeclaredField("name");
      countOfCommunityUser = RdSecurityStationDocument.class.getDeclaredField("countOfCommunityUser");
      superviseDepartId = RdSecurityStationDocument.class.getDeclaredField("superviseDepartId");
      followedDeviceNos = RdSecurityStationDocument.class.getDeclaredField("followedDeviceNos");
      superviseDepartName = RdSecurityStationDocument.class.getDeclaredField("superviseDepartName");
      projectName = RdSecurityStationDocument.class.getDeclaredField("projectName");
      stationTypes = RdSecurityStationDocument.class.getDeclaredField("stationTypes");
      keyword = RdSecurityStationDocument.class.getDeclaredField("keyword");
      projectId = RdSecurityStationDocument.class.getDeclaredField("projectId");
      siteState = RdSecurityStationDocument.class.getDeclaredField("siteState");
      serviceScope = RdSecurityStationDocument.class.getDeclaredField("serviceScope");
      principalId = RdSecurityStationDocument.class.getDeclaredField("principalId");
      proprietorCompanyName = RdSecurityStationDocument.class.getDeclaredField("proprietorCompanyName");
      industry = RdSecurityStationDocument.class.getDeclaredField("industry");
      PRINCIPAL_NAME = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("principalName", principalName),false);
      SCOPE_PERMISSIONS = new TagField<RdSecurityStationDocument, Set<String>>(new SearchFieldAccessor("scopePermissions", scopePermissions),true);
      PROPRIETOR_COMPANY_ID = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("proprietorCompanyId", proprietorCompanyId),false);
      ADDRESS = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("address", address),false);
      PERFORM_RANGE = new NonIndexedNumericField<RdSecurityStationDocument, Double>(new SearchFieldAccessor("performRange", performRange),false);
      PRINCIPAL_CONTACT = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("principalContact", principalContact),false);
      LON_LAT = new GeoField<RdSecurityStationDocument, Point>(new SearchFieldAccessor("lonLat", lonLat),true);
      RESOURCE_TYPES = new TagField<RdSecurityStationDocument, Set<String>>(new SearchFieldAccessor("resourceTypes", resourceTypes),true);
      INSTITUTIONAL = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("institutional", institutional),false);
      COMPANY_NAME = new TextTagField<RdSecurityStationDocument, String>(new SearchFieldAccessor("companyName", companyName),true);
      ORGANIZATION_ID = new TextTagField<RdSecurityStationDocument, String>(new SearchFieldAccessor("organizationId", organizationId),true);
      COUNT_OF_SECURITY_MAN = new NumericField<RdSecurityStationDocument, Integer>(new SearchFieldAccessor("countOfSecurityMan", countOfSecurityMan),true);
      ID = new TextTagField<RdSecurityStationDocument, String>(new SearchFieldAccessor("id", id),true);
      IS_ACTIVATED = new BooleanField<RdSecurityStationDocument, Boolean>(new SearchFieldAccessor("isActivated", isActivated),true);
      NAME = new TextTagField<RdSecurityStationDocument, String>(new SearchFieldAccessor("name", name),true);
      COUNT_OF_COMMUNITY_USER = new NonIndexedNumericField<RdSecurityStationDocument, Integer>(new SearchFieldAccessor("countOfCommunityUser", countOfCommunityUser),false);
      SUPERVISE_DEPART_ID = new TextTagField<RdSecurityStationDocument, String>(new SearchFieldAccessor("superviseDepartId", superviseDepartId),true);
      FOLLOWED_DEVICE_NOS = new TagField<RdSecurityStationDocument, Set<String>>(new SearchFieldAccessor("followedDeviceNos", followedDeviceNos),true);
      SUPERVISE_DEPART_NAME = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("superviseDepartName", superviseDepartName),false);
      PROJECT_NAME = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("projectName", projectName),false);
      STATION_TYPES = new TagField<RdSecurityStationDocument, Set<String>>(new SearchFieldAccessor("stationTypes", stationTypes),true);
      KEYWORD = new TextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("keyword", keyword),true);
      PROJECT_ID = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("projectId", projectId),false);
      SITE_STATE = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("siteState", siteState),false);
      SERVICE_SCOPE = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("serviceScope", serviceScope),false);
      PRINCIPAL_ID = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("principalId", principalId),false);
      PROPRIETOR_COMPANY_NAME = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("proprietorCompanyName", proprietorCompanyName),false);
      INDUSTRY = new NonIndexedTextField<RdSecurityStationDocument, String>(new SearchFieldAccessor("industry", industry),false);
      _KEY = new MetamodelField<RdSecurityStationDocument, String>("__key", String.class, true);
    } catch(NoSuchFieldException | SecurityException e) {
      System.err.println(e.getMessage());
    }
  }
}
